Inverting the admin flag has no effect on menu cache
Category: Web Interface   

Target version: 1.5.2   

Difficulty: easy Fixed in Releases:  
Pull request: https://github.com/theforeman/foreman/p

ull/1495

  

Description

The TopbarSweeper cache clearing system only ever acts on User.current. This means if an admin toggles the admin flag on

another user/group, that user's topbar does not refresh and show updated entries until the cache naturally times out (or is cleared

with =foreman-rake tmp:cache:clear=).

Steps to reproduce:

1. Create a user without admin flag or roles

2. In a separate browser sesson, log in with that user.

=> observe they can only see Hosts and Bookmarks

3. Create a user group, give it the admin flag, and assign the above user to it

4. Refresh the user's page

Expected results:

The user can now see all menu entries on the topbar

Actual result:

The user still only sees Hosts and Bookmarks

Related issues:

Related to Foreman - Bug #6831: When creating a new organization as an admin,... Closed 07/30/2014

Related to Foreman - Bug #6873: Error during db:seed from 1.4 to 1.6: undefin... Closed 08/01/2014

Associated revisions

Revision 70acceb5 - 07/22/2014 07:17 PM - Greg Sutcliffe

Fixes #6065 - Update TopbarSweeper to clear cache for other users than User.current

Revision 0afc06ae - 07/28/2014 07:28 AM - Greg Sutcliffe

Fixes #6065 - Update TopbarSweeper to clear cache for other users than User.current

(cherry picked from commit 70acceb5de46868358714ef2aaef0387cbcda4c3)

Conflicts:

app/models/user.rb

History

#1 - 06/04/2014 05:28 PM - Greg Sutcliffe

- Status changed from New to Assigned

- Assignee set to Greg Sutcliffe

- Target version set to 1.8.2

- Difficulty set to easy

#2 - 06/05/2014 10:37 AM - Greg Sutcliffe

- Status changed from Assigned to Ready For Testing
https://github.com/theforeman/foreman/pull/1495/files

#3 - 06/05/2014 01:39 PM - marcelo veglienzone

I can confirm the patch works as expected.

#4 - 06/05/2014 04:59 PM - Daniel Lobato Garcia

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1105251

#5 - 06/11/2014 02:53 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#6 - 06/19/2014 03:39 PM - Dominic Cleal

- translation missing: en.field_release set to 18

#7 - 07/07/2014 07:23 AM - Anonymous

- Target version changed from 1.8.1 to 1.8.0

#8 - 07/18/2014 07:38 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/1495 added

#9 - 07/22/2014 08:01 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 70acceb5de46868358714ef2aaef0387cbcda4c3.

#10 - 07/30/2014 05:10 AM - Dominic Cleal

- Related to Bug #6831: When creating a new organization as an admin, the switcher doesn't list it added

#11 - 08/01/2014 03:24 AM - Dominic Cleal

- Related to Bug #6873: Error during db:seed from 1.4 to 1.6: undefined method `expire_topbar_cache' for nil:NilClass added
